## org.gnu.gtk
Class SideType

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gtk.SideType

public class SideType
extends Enum

Field Summary
`static SideType` `BOTTOM`
`static SideType` `LEFT`
`static SideType` `RIGHT`
`static SideType` `TOP`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`SideType` `and(SideType other)`
`static SideType` `intern(int value)`
`SideType` `or(SideType other)`
`boolean` `test(SideType other)`
`SideType` `xor(SideType other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### TOP

    public static final SideType TOP

### BOTTOM

    public static final SideType BOTTOM

### LEFT

    public static final SideType LEFT

### RIGHT

    public static final SideType RIGHT

Method Detail

### intern

    public static SideType intern(int value)

### or

    public SideType or(SideType other)

### and

    public SideType and(SideType other)

### xor

    public SideType xor(SideType other)

### test

    public boolean test(SideType other)